﻿@model BeerOverflow.Web.Models.BeerViewModel

@{ 
    var slist = ViewBag.Sdata;
}

<h1 style="color:#b58900">Create a new beer</h1>

<style>
    div {
        background-image:url(background.png);
        
    }
</style>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="CreateBeer">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="ImageURL" class="control-label"></label>
                <input asp-for="ImageURL" class="form-control" />
                <span asp-validation-for="ImageURL" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Name" class="control-label"></label>
                <input asp-for="Name" class="form-control" />
                <span asp-validation-for="Name" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Description" class="control-label"></label>
                <input asp-for="Description" class="form-control" />
                <span asp-validation-for="Description" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Price" class="control-label"></label>
                <input asp-for="Price" class="form-control" />
                <span asp-validation-for="Price" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="AlcoholPercent" class="control-label">Alcohol percent</label>
                <input asp-for="AlcoholPercent" class="form-control" />
                <span asp-validation-for="AlcoholPercent" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Mililiters" class="control-label"></label>
                <input asp-for="Mililiters" class="form-control" />
                <span asp-validation-for="Mililiters" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="StyleName" class="control-label"></label>
                @Html.DropDownListFor(model => model.StyleName, new SelectList(ViewBag.Styles, "Name", "Name"), "")<br>
                Do not see the brewery you need?<a style="color:#b58900" asp-controller="Style" asp-action="CreateStyle"><br>Click to create</a>
            </div>
            <div class="form-group">
                <label asp-for="BreweryName" class="control-label"></label>
                @Html.DropDownListFor(model => model.BreweryName, new SelectList(ViewBag.Breweries, "Name", "Name"), "")<br>
                Do not see the brewery you need? <a style="color:#b58900" asp-controller="Brewery" asp-action="CreateBrewery"><br >Click to create</a> 
            </div>
            <div class="form-group">
                <label asp-for="CountryName" class="control-label"></label>
                @Html.DropDownListFor(model => model.CountryName, new SelectList(ViewBag.Countries, "Name", "Name"), "")<br>
                Do not see the country you need?<a style="color:#b58900" asp-controller="Country" asp-action="CreateCountry"><br style="color:#b58900">Click to create</a>
            </div>
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
                <br />
            </div>
        </form>
    </div>
</div>

<div>
   <a asp-controller="Beer" asp-action="ListBeers">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
